Package org.jfree.layouting.layouter.context

## Class DefaultPageContext

- java.lang.Object
- - org.jfree.layouting.layouter.context.DefaultPageContext

- All Implemented Interfaces:
    `PageContext`

      public class DefaultPageContext
      extends java.lang.Object
      implements PageContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPageContext​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutStyle` | `getAreaDefinition​(PageAreaType name)` |
    `PseudoPage[]` | `getPseudoPages​()` |
    `LayoutStyle` | `getStyle​()` |
    `boolean` | `isPseudoPage​(PseudoPage page)` | Returns true, if the given PseudoPage identifier matches the current page state.
    `void` | `setAreaDefinition​(PageAreaType area, LayoutStyle style)` |
    `void` | `setPseudoPages​(PseudoPage[] pages)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPageContext

          public DefaultPageContext​()

  - ### Method Detail

    - #### getAreaDefinition

          public LayoutStyle getAreaDefinition​(PageAreaType name)

      Specified by:
        `getAreaDefinition` in interface `PageContext`

    - #### setAreaDefinition

          public void setAreaDefinition​(PageAreaType area,
                                        LayoutStyle style)

    - #### isPseudoPage

          public boolean isPseudoPage​(PseudoPage page)

      Returns true, if the given PseudoPage identifier matches the current page state.
      Specified by:
        `isPseudoPage` in interface `PageContext`
      Returns:
        true, if the pseudopage matches, false otherwise.

    - #### getPseudoPages

          public PseudoPage[] getPseudoPages​()

    - #### setPseudoPages

          public void setPseudoPages​(PseudoPage[] pages)

    - #### getStyle

          public LayoutStyle getStyle​()

      Specified by:
        `getStyle` in interface `PageContext`